<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_3758af61703edea17ee" . "38fab15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdX" . "QgYW4gaW5zdGFuY2Ugb2YgV3JpdGFi" . "bGVDb25maWc="), "_6596b8f6a496" . "9f9a3f6a1b22b" . "90e9331" => base64_decode("c3ByaW" . "50Zg=="), "_835783a340b62" . "6fa250ace4c8d8" . "249f7" => base64_decode("VW5hYmx" . "lIHRvIG" . "Nhc3QgJ" . "w=="), "_490fedd0c33685bd3a92" . "a23dfbdbe38c" => base64_decode("JyBDb25maWdWYWx" . "1ZSB0byBzdHJpbm" . "c="), "_5a13027a56ff426a18806ba" . "f1e53ce74" => base64_decode("Q29uZmlnVm" . "FsdWUgJw=="), "_44b97fb00c5dc6" . "204a2e8b46429ce" . "109" => base64_decode("aXNfc" . "3RyaW" . "5nYWJ" . "sZQ=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_5a13027a56ff426a18806baf1" . "e53ce74"] . $this->key . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3758af61703edea17ee38" . "fab15f99b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_44b97fb00c5d" . "c6204a2e8b464" . "29ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_835783a340b626fa250a" . "ce4c8d8249f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_490fedd0c33685" . "bd3a92a23dfbdbe" . "38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_6596b8f6a4969f9a3f6a1b22b90" . "e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}